; start_epoch=4
set_plot,'z
set_logenv,'DIR_SXT_SFC','/home/sswdb/ydb/sfc'
set_logenv,'DIR_SXT_SYNSFC','/home/sswdb/ydb/synsfcw'

testing=1 ; set to 0 to generate files, 1 to verify sfc list
testing=0

boxnote='No Pointing Constraints: All Available SFCs Used.'

filta=[1] ;,6]
filtb=[2,3] ; ,4,5,6]

epochs=(get_yo_dates(/ent))(1:*)
if n_elements(start_epoch) eq 0 then start_epoch=0 else $
   box_message,'Starting with epoch ' + strtrim(start_epoch,2)

for e=start_epoch,n_elements(epochs)-1 do begin 
   box_message,'Epoch start: ' + epochs(e)
   for fa=0,n_elements(filta)-1 do begin 
      for fb=0,n_elements(filtb)-1 do begin 
         sfcs=get_epoch_sfcs(epochs(e), /pointing,filt_a=filta(fa), filt_b=filtb(fb))
         nsfcs=([n_elements(sfcs),0])(sfcs(0) eq '')
         box_message,['Epoch: ' + epochs(e) + ' filta/b=' + $
                      arr2str([filta(fa),filtb(fb)],/comp),$
                      'number sfs: ' + strtrim(nsfcs,2)]
         if nsfcs gt 1 then begin 
            rd_xda,sfcs, -1 , index, data
            if testing then stop, 'sfc list' else $
               mk_synsfc_coeff, index, data, boxnote=boxnote 
         endif        else box_message,'not enough SFCs to worry about...' 
      endfor
   endfor
endfor


end
