; ------------- set output directories -------------
topdir='/home/sswdb/ydb'         ;  top level YPOP 
dbdir='/home/sswdb/ydb/'
sscdir=concat_dir(topdir,'synssc_nb')          ; SSC top level directory 
sdcdir=concat_dir(dbdir,'sdc')
sfcdir=concat_dir(dbdir,'sfc')           
set_logenv,'DIR_SXT_SDC',sdcdir             ; new TM SDC's dbase{
set_logenv,'DIR_SXT_SSC',sscdir              
set_logenv,'DIR_SXT_SFC',sfcdir             ; virginal SFC dbase
set_logenv,'DIR_SXT_SYNSFC','$ydb/synsfc'
badlog='$HOME/ssc
; ---------------------------------------
delvarx,ss
; SS is used to make short/partial runs for fast infrastructure tests
; ------------------------------------------------------
; 
days= [ timegrid('1-dec-1996','7-dec-1996',/day,out='vms'), $
        timegrid('15-feb-1997','22-feb-1997',/day,out='vms'), $
        timegrid('1-nov-1996','7-nov-1996',/day,out='vms')]
days=timegrid('1-feb-1998','7-feb-1998',/day,out='vms')

for j=0,n_elements(days)-1 do begin
   sfrs=cdrom_files(day=days(j) , /sfr, mag_disk='/u1/sswarch/yoarch/weekdirs/')
   if data_chk(sfrs,/string) then begin
   if sfrs(0) eq '' then box_message,'No SFRs on cdrom..' else begin 
       if cdrom_fcheck(sfrs) then begin  
       box_message,['Working on day>> '+ days(j),sfrs]
;      
;      ----------------- Use standard SFCs ---------- 
       set_logenv,'sxt_syn_sfc',''
       mk_ssc, outdir=get_logenv('DIR_SXT_SSC'), prefix='ssc', ifiles=sfrs, $
	       ss=ss,  /noclean, /yyyy, /no_second ;, /al_only 

;       --------------- Use synthetic SFCsi ---------
       set_logenv,'sxt_syn_sfc','1'
       mk_ssc, outdir=get_logenv('DIR_SXT_SSC'), prefix='synssc', ifiles=sfrs, $
               ss=ss,  /noclean, /yyyy, /no_second ;, /al_only

       endif else box_message,'One or more bad sfrs...'
   endelse       
   endif else box_message,'Continuing with next CD...'
endfor


end
