
function rot3d,a,thetax=thetax,thetay=thetay,thetaz=thetaz

if (not exist(thetax)) then thetax = 0
if (not exist(thetay)) then thetay = 0
if (not exist(thetaz)) then thetaz = 0

sthx = sin(thetax*!dtor)
cthx = cos(thetax*!dtor)

sthy = sin(thetay*!dtor)
cthy = cos(thetay*!dtor)

sthz = sin(thetaz*!dtor)
cthz = cos(thetaz*!dtor)

rotx = [[1.0,0.0,0.0],[0.0,cthx,sthx],[0.0,-sthx,cthx]]
roty = [[cthy,0.0,-sthy],[0.0,1.0,0.0],[sthy,0.0,cthy]]
rotz = [[cthz,sthz,0.0],[-sthz,cthz,0.0],[0.0,0.0,1.0]]

return,rotz#(roty#(rotx#a))

end

