pro sscstats, sscs, new=new
;
logfile='$SSW/site/logs/sscstats.log'
file_append,logfile,'; sscstats run at ' + systime(), new=new
;
file_append,logfile,'; Filename     MAX         # >.9MAX  #Pixels 
;test        200023.       7.00000   1.73015e+07

for i=0,n_elements(sscs)-1 do begin 
   fname=strsplit(sscs(i),'/',/last,/tail)
   if fname(0) eq '' then fname=sscs(i)
   box_message,'Processing: ' + fname
   delvarx, index, data
   rd_xda,sscs(i),-1,index,data
   max=max(data)
   dd9=where(data ge .9*max,dd9cnt)
   line=fname+ ' ' + string([max,dd9cnt,last_nelem(size(data))], $
           format='(f11.3,1x,i4,1x,e)')
   file_append,logfile,line
endfor
return
end
